{
    "basedOn": "BankOriginalLayoutHD.json",
    "type": "BankPanel",
    "name": "BankExpansionLayout",
    "fields": {
        "backgroundFile": [
            "PANEL\\Stash\\StashPanel_BG_Personal",
            "PANEL\\Stash\\StashPanel_BG_Shared",
            "PANEL\\Stash\\AdditionalStash\\PANEL_AdditionalStash_Gems",
            "PANEL\\Stash\\AdditionalStash\\PANEL_AdditionalStash_Consumables"
            // "PANEL\\Stash\\AdditionalStash\\PANEL_AdditionalStash_Runes"
        ],
        "tabNotificationDurationSeconds": 0.33,
        "tabNotificationFadeOccurrences": 3
    },
    "children": [
        {
            "type": "ClickCatcherWidget",
            "name": "click_catcher"
        },
        {
            "type": "ImageWidget",
            "name": "background",
            "fields": {
                "filename": "PANEL\\Stash\\StashPanel_BG_Personal"
            }
        },
        {
            "type": "ImageWidget",
            "name": "LeftHinge"
        },
        {
            "type": "TextBoxWidget",
            "name": "title"
        },
        {
            "type": "ButtonWidget",
            "name": "close"
        },
        {
            "type": "TabBarWidget",
            "name": "BankTabs",
            "fields": {
                "rect": {
                    "x": 190,
                    "y": 146
                },
                "tabCount": 4,
                "filename": "PANEL\\stash\\MKB_Tabs_195_TGA",
                "inactiveFrames": [
                    0,
                    0,
                    0,
                    0,
                    0
                ],
                "activeFrames": [
                    1,
                    1,
                    1,
                    1,
                    1
                ],
                "disabledFrames": [
                    -1,
                    0,
                    0,
                    0,
                    0
                ],
                "textStrings": [
                    "@personal",
                    "@shared",
                    "@gems/@runes",
                    "@materials"
                    // "@runes"
                ],
                "textStyle": {
                    "pointSize": "$SmallPanelFontSize"
                },
                "activeTextColor": "$TabsActiveTextColor",
                "inactiveTextColor": "$TabsInactiveTextColor",
                "tabSize": {
                    "x": 195,
                    "y": 72
                },
                "tabPadding": {
                    "x": 0,
                    "y": 0
                },
                "onSwitchTabMessage": "BankPanelMessage:SelectTab",
                "notificationIconTemplate": {
                    "filename": "PANEL\\Stash\\AdditionalStash\\StashNotification"
                }
            }
        },
        {
            "type": "Widget",
            "name": "PreviousSeasonToggleDisplay",
            "fields": {
                "rect": {
                    "x": 950,
                    "y": 65
                }
            },
            "children": [
                {
                    "type": "TextBoxWidget",
                    "name": "ShowPreviousLadderText",
                    "fields": {
                        "text": "@stashRemoveOnly",
                        "rect": {
                            "x": 0,
                            "y": 28
                        },
                        "style": {
                            "fontColor": "$PanelTitleColor",
                            "pointSize": "$MediumFontSize",
                            "alignment": {
                                "v": "center",
                                "h": "right"
                            },
                            "spacing": "$MinimumSpacing",
                            "dropShadow": "$DefaultDropShadow"
                        }
                    }
                },
                {
                    "type": "ToggleButtonWidget",
                    "name": "ShowPreviousLadderSeasonToggle",
                    "fields": {
                        "rect": {
                            "x": 8,
                            "y": 0
                        },
                        "filename": "Lobby\\CreateGame\\CreateGame_AdvancedCheckbox",
                        "untoggledFrame": 0,
                        "untoggledPressedFrame": 1,
                        "untoggledHoveredFrame": 3,
                        "untoggledDisabledFrame": 2,
                        "toggledFrame": 4,
                        "toggledPressedFrame": 5,
                        "toggledHoveredFrame": 6,
                        "onClickMessage": "BankPanelMessage:TogglePreviousSeasonTabs",
                        "tooltipString": "@SharedStashPreviousSeasonToggleTooltip"
                    }
                }
            ]
        },
        {
            "type": "Widget",
            "name": "basicstash_container",
            "children": [
                {
                    "type": "TextBoxWidget",
                    "name": "gold_amount",
                    "fields": {
                        "rect": {
                            "x": 474,
                            "y": 1356,
                            "width": 249,
                            "height": 48
                        },
                        "style": "$StyleGoldAmount"
                    }
                },
                {
                    "type": "ButtonWidget",
                    "name": "gold_withdraw",
                    "fields": {
                        "rect": {
                            "x": 424,
                            "y": 1356
                        },
                        "filename": "PANEL\\GoldButton",
                        "hoveredFrame": 3,
                        "tooltipString": "@strGoldWithdraw",
                        "onClickMessage": "BankPanelMessage:Withdraw"
                    }
                },
                {
                    "type": "InventoryGridWidget",
                    "name": "grid",
                    "fields": {
                        "rect": {
                            "x": 89,
                            "y": 219
                        },
                        "cellCount": {
                            "x": 10,
                            "y": 10
                        },
                        "cellSize": "$ItemCellSize",
                        "gemSocketFilename": "PANEL\\gemsocket"
                    },
                    "children": [
                        {
                            "type": "AnimatedImageWidget",
                            "name": "chronicleFlourish",
                            "fields": {
                                "rect": {
                                    "x": 0,
                                    "y": 0,
                                    "width": 370,
                                    "height": 540,
                                    "scale": 2
                                },
                                "filename": "PANEL\\Chronicle\\RewardAnims\\PANEL_ChronicleReward_1x1",
                                "blendMode": "black",
                                "fps": 30,
                                "playing": false,
                                "loop": false,
                                "frame": 30
                            }
                        }
                    ]
                },
                // 공유탭 페이지 버튼
                {
                    "type": "Widget",
                    "name": "SharedStashTabContainer",
                    "children": [
                        {
                            "type": "Widget",
                            "name": "SharedStashBTN",
                            "fields": {
                                "rect": {
                                    "x": 396,
                                    "y": 1222
                                }
                            },
                            "children": [
                                {
                                    "type": "ButtonWidget",
                                    "name": "1",
                                    "fields": {
                                        "rect": {
                                            "x": 0,
                                            "y": 0,
                                            "scale": 1
                                        },
                                        "filename": "panel\\bank\\page_tab",
                                        "frame": 0,
                                        "hoveredFrame": 3,
                                        "pressedFrame": 1,
                                        "textString": "1",
                                        "textColor": "$PanelTitleColor",
                                        "text/rect": {
                                            "x": 0,
                                            "y": 0,
                                            "width": 72,
                                            "height": 72
                                        },
                                        "text/style": {
                                            "pointSize": "$SmallFontSize",
                                            "alignment": {
                                                "h": "center",
                                                "v": "center"
                                            },
                                            "dropShadow": "$DefaultDropShadow",
                                            "spacing": {
                                                "kerning": 0
                                            },
                                        },
                                        "onClickMessage": "PanelManager:OpenPanel:bankbtn1"
                                    }
                                },
                                {
                                    "type": "ButtonWidget",
                                    "name": "2",
                                    "fields": {
                                        "rect": {
                                            "x": 73,
                                            "y": 0,
                                            "scale": 1
                                        },
                                        "filename": "panel\\bank\\page_tab",
                                        "frame": 0,
                                        "hoveredFrame": 3,
                                        "pressedFrame": 1,
                                        "textString": "2",
                                        "textColor": "$PanelTitleColor",
                                        "text/rect": {
                                            "x": 0,
                                            "y": 0,
                                            "width": 72,
                                            "height": 72
                                        },
                                        "text/style": {
                                            "pointSize": "$SmallFontSize",
                                            "alignment": {
                                                "h": "center",
                                                "v": "center"
                                            },
                                            "dropShadow": "$DefaultDropShadow",
                                            "spacing": {
                                                "kerning": 0
                                            },
                                        },
                                        "onClickMessage": "PanelManager:OpenPanel:bankbtn2"
                                    }
                                },
                                {
                                    "type": "ButtonWidget",
                                    "name": "3",
                                    "fields": {
                                        "rect": {
                                            "x": 146,
                                            "y": 0,
                                            "scale": 1
                                        },
                                        "filename": "panel\\bank\\page_tab",
                                        "frame": 0,
                                        "hoveredFrame": 3,
                                        "pressedFrame": 1,
                                        "textString": "3",
                                        "textColor": "$PanelTitleColor",
                                        "text/rect": {
                                            "x": 0,
                                            "y": 0,
                                            "width": 72,
                                            "height": 72
                                        },
                                        "text/style": {
                                            "pointSize": "$SmallFontSize",
                                            "alignment": {
                                                "h": "center",
                                                "v": "center"
                                            },
                                            "dropShadow": "$DefaultDropShadow",
                                            "spacing": {
                                                "kerning": 0
                                            },
                                        },
                                        "onClickMessage": "PanelManager:OpenPanel:bankbtn3"
                                    }
                                },
                                {
                                    "type": "ButtonWidget",
                                    "name": "4",
                                    "fields": {
                                        "rect": {
                                            "x": 219,
                                            "y": 0,
                                            "scale": 1
                                        },
                                        "filename": "panel\\bank\\page_tab",
                                        "frame": 0,
                                        "hoveredFrame": 3,
                                        "pressedFrame": 1,
                                        "textString": "4",
                                        "textColor": "$PanelTitleColor",
                                        "text/rect": {
                                            "x": 0,
                                            "y": 0,
                                            "width": 72,
                                            "height": 72
                                        },
                                        "text/style": {
                                            "pointSize": "$SmallFontSize",
                                            "alignment": {
                                                "h": "center",
                                                "v": "center"
                                            },
                                            "dropShadow": "$DefaultDropShadow",
                                            "spacing": {
                                                "kerning": 0
                                            },
                                        },
                                        "onClickMessage": "PanelManager:OpenPanel:bankbtn4"
                                    }
                                },
                                {
                                    "type": "ButtonWidget",
                                    "name": "5",
                                    "fields": {
                                        "rect": {
                                            "x": 292,
                                            "y": 0,
                                            "scale": 1
                                        },
                                        "filename": "panel\\bank\\page_tab",
                                        "frame": 0,
                                        "hoveredFrame": 3,
                                        "pressedFrame": 1,
                                        "textString": "5",
                                        "textColor": "$PanelTitleColor",
                                        "text/rect": {
                                            "x": 0,
                                            "y": 0,
                                            "width": 72,
                                            "height": 72
                                        },
                                        "text/style": {
                                            "pointSize": "$SmallFontSize",
                                            "alignment": {
                                                "h": "center",
                                                "v": "center"
                                            },
                                            "dropShadow": "$DefaultDropShadow",
                                            "spacing": {
                                                "kerning": 0
                                            },
                                        },
                                        "onClickMessage": "PanelManager:OpenPanel:bankbtn5"
                                    }
                                }
                            ]
                        },
                        {
                            "type": "ImageWidget",
                            "name": "StashNavigation",
                            "fields": {
                                "rect": {
                                    "x": -380,
                                    "y": 70
                                }
                            },
                            "children": [
                                {
                                    "type": "TextBoxWidget",
                                    "name": "CurrentSharedStashText",
                                    "fields": {
                                        "text": "@SharedStashPage",
                                        "rect": {
                                            "x": 524,
                                            "y": 1,
                                            "width": 220,
                                            "height": 48
                                        },
                                        "style": {
                                            "fontColor": "$PanelTitleColor",
                                            "pointSize": "$MediumFontSize",
                                            "alignment": {
                                                "v": "center",
                                                "h": "left"
                                            },
                                            "spacing": "$MinimumSpacing",
                                            "dropShadow": "$DefaultDropShadow"
                                        }
                                    }
                                }
                            ]
                        }
                    ]
                }
                // 공유탭 페이지 버튼 끝
            ]
        },
        {
            "type": "Widget",
            "name": "advancedstash_gems",
            "children": [
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "gcw",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 286,
                            "y": 1318
                        },
                        "itemCode": "gcw"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "gfw",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 286,
                            "y": 1218
                        },
                        "itemCode": "gfw"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "gsw",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 286,
                            "y": 1118
                        },
                        "itemCode": "gsw"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "glw",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 286,
                            "y": 1018
                        },
                        "itemCode": "glw"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "gpw",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 286,
                            "y": 918
                        },
                        "itemCode": "gpw"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "gcg",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 408,
                            "y": 1318
                        },
                        "itemCode": "gcg"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "gfg",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 408,
                            "y": 1218
                        },
                        "itemCode": "gfg"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "gsg",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 408,
                            "y": 1118
                        },
                        "itemCode": "gsg"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "glg",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 408,
                            "y": 1018
                        },
                        "itemCode": "glg"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "gpg",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 408,
                            "y": 918
                        },
                        "itemCode": "gpg"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "gcr",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 530,
                            "y": 1318
                        },
                        "itemCode": "gcr"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "gfr",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 530,
                            "y": 1218
                        },
                        "itemCode": "gfr"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "gsr",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 530,
                            "y": 1118
                        },
                        "itemCode": "gsr"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "glr",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 530,
                            "y": 1018
                        },
                        "itemCode": "glr"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "gpr",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 530,
                            "y": 918
                        },
                        "itemCode": "gpr"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "gcy",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 652,
                            "y": 1318
                        },
                        "itemCode": "gcy"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "gfy",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 652,
                            "y": 1218
                        },
                        "itemCode": "gfy"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "gsy",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 652,
                            "y": 1118
                        },
                        "itemCode": "gsy"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "gly",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 652,
                            "y": 1018
                        },
                        "itemCode": "gly"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "gpy",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 652,
                            "y": 918
                        },
                        "itemCode": "gpy"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "gcv",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 774,
                            "y": 1318
                        },
                        "itemCode": "gcv"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "gfv",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 774,
                            "y": 1218
                        },
                        "itemCode": "gfv"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "gsv",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 774,
                            "y": 1118
                        },
                        "itemCode": "gsv"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "gzv",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 774,
                            "y": 1018
                        },
                        "itemCode": "gzv"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "gpv",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 774,
                            "y": 918
                        },
                        "itemCode": "gpv"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "gcb",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 896,
                            "y": 1318
                        },
                        "itemCode": "gcb"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "gfb",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 896,
                            "y": 1218
                        },
                        "itemCode": "gfb"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "gsb",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 896,
                            "y": 1118
                        },
                        "itemCode": "gsb"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "glb",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 896,
                            "y": 1018
                        },
                        "itemCode": "glb"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "gpb",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 896,
                            "y": 918
                        },
                        "itemCode": "gpb"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "skc",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 164,
                            "y": 1318
                        },
                        "itemCode": "skc"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "skf",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 164,
                            "y": 1218
                        },
                        "itemCode": "skf"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "sku",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 164,
                            "y": 1118
                        },
                        "itemCode": "sku"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "skl",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 164,
                            "y": 1018
                        },
                        "itemCode": "skl"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "skz",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 164,
                            "y": 918
                        },
                        "itemCode": "skz"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r01",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 114,
                            "y": 221
                        },
                        "itemCode": "r01"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r02",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 218,
                            "y": 221
                        },
                        "itemCode": "r02"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r03",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 322,
                            "y": 221
                        },
                        "itemCode": "r03"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r04",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 426,
                            "y": 221
                        },
                        "itemCode": "r04"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r05",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 530,
                            "y": 221
                        },
                        "itemCode": "r05"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r06",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 634,
                            "y": 221
                        },
                        "itemCode": "r06"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r07",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 738,
                            "y": 221
                        },
                        "itemCode": "r07"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r08",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 842,
                            "y": 221
                        },
                        "itemCode": "r08"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r09",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 946,
                            "y": 221
                        },
                        "itemCode": "r09"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r10",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 114,
                            "y": 325
                        },
                        "itemCode": "r10"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r11",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 218,
                            "y": 325
                        },
                        "itemCode": "r11"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r12",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 322,
                            "y": 325
                        },
                        "itemCode": "r12"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r13",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 426,
                            "y": 325
                        },
                        "itemCode": "r13"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r14",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 530,
                            "y": 325
                        },
                        "itemCode": "r14"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r15",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 634,
                            "y": 325
                        },
                        "itemCode": "r15"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r16",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 738,
                            "y": 325
                        },
                        "itemCode": "r16"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r17",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 842,
                            "y": 325
                        },
                        "itemCode": "r17"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r18",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 946,
                            "y": 325
                        },
                        "itemCode": "r18"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r19",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 114,
                            "y": 429
                        },
                        "itemCode": "r19"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r20",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 218,
                            "y": 429
                        },
                        "itemCode": "r20"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r21",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 842,
                            "y": 429
                        },
                        "itemCode": "r21"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r22",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 946,
                            "y": 429
                        },
                        "itemCode": "r22"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r23",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 114,
                            "y": 533
                        },
                        "itemCode": "r23"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r24",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 218,
                            "y": 533
                        },
                        "itemCode": "r24"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r25",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 842,
                            "y": 533
                        },
                        "itemCode": "r25"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r26",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 946,
                            "y": 533
                        },
                        "itemCode": "r26"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r27",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 114,
                            "y": 637
                        },
                        "itemCode": "r27"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r28",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 218,
                            "y": 637
                        },
                        "itemCode": "r28"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r29",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 842,
                            "y": 637
                        },
                        "itemCode": "r29"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r30",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 946,
                            "y": 637
                        },
                        "itemCode": "r30"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r31",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 114,
                            "y": 741
                        },
                        "itemCode": "r31"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r32",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 218,
                            "y": 741
                        },
                        "itemCode": "r32"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "r33",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 946,
                            "y": 741
                        },
                        "itemCode": "r33"
                    }
                }
            ]
        },
        {
            "type": "Widget",
            "name": "advancedstash_materials",
            "children": [
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "pk1",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 196,
                            "x": 102,
                            "y": 232
                        },
                        "itemCode": "pk1"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "pk2",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 196,
                            "x": 206,
                            "y": 232
                        },
                        "itemCode": "pk2"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "pk3",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 196,
                            "x": 310,
                            "y": 232
                        },
                        "itemCode": "pk3"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "ua1",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 196,
                            "x": 546,
                            "y": 232
                        },
                        "itemCode": "ua1"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "ua2",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 196,
                            "x": 650,
                            "y": 232
                        },
                        "itemCode": "ua2"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "ua3",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 196,
                            "x": 754,
                            "y": 232
                        },
                        "itemCode": "ua3"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "ua4",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 196,
                            "x": 858,
                            "y": 232
                        },
                        "itemCode": "ua4"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "ua5",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 196,
                            "x": 962,
                            "y": 232
                        },
                        "itemCode": "ua5"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "dhn",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 102,
                            "y": 914
                        },
                        "itemCode": "dhn"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "bey",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 206,
                            "y": 914
                        },
                        "itemCode": "bey"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "mbr",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 310,
                            "y": 914
                        },
                        "itemCode": "mbr"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "xa1",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 546,
                            "y": 914
                        },
                        "itemCode": "xa1"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "xa2",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 650,
                            "y": 914
                        },
                        "itemCode": "xa2"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "xa3",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 754,
                            "y": 914
                        },
                        "itemCode": "xa3"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "xa4",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 858,
                            "y": 914
                        },
                        "itemCode": "xa4"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "xa5",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 962,
                            "y": 914 //460
                        },
                        "itemCode": "xa5"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "rvs",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 102,
                            "y": 1052
                        },
                        "itemCode": "rvs"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "rvl",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 206,
                            "y": 1052
                        },
                        "itemCode": "rvl"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "toa",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 540,
                            "y": 1052
                        },
                        "itemCode": "toa"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "tes",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 646,
                            "y": 1052
                        },
                        "itemCode": "tes"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "ceh",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 750,
                            "y": 1052
                        },
                        "itemCode": "ceh"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "bet",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 854,
                            "y": 1052
                        },
                        "itemCode": "bet"
                    }
                },
                {
                    "type": "AdvancedStashSlotWidget",
                    "name": "fed",
                    "fields": {
                        "rect": {
                            "width": 98,
                            "height": 98,
                            "x": 958,
                            "y": 1056 //596
                        },
                        "itemCode": "fed"
                    }
                }
            ]
        },
        {
            "type": "Widget",
            "name": "advancedstash_runes"
        },
        {
            "type": "Widget",
            "name": "advancedstash_horadriccube",
            "children": [
                {
                    "type": "InventoryGridWidget",
                    "name": "horadriccube_grid",
                    "fields": {
                        "rect": {
                            "x": 431,
                            "y": 474 //784
                        },
                        "cellCount": {
                            "x": 3,
                            "y": 4
                        },
                        "cellSize": "$ItemCellSize",
                        "gemSocketFilename": "PANEL\\gemsocket"
                    },
                    "children": [
                        {
                            "type": "AnimatedImageWidget",
                            "name": "chronicleFlourish",
                            "fields": {
                                "rect": {
                                    "x": 0,
                                    "y": 0,
                                    "width": 370,
                                    "height": 540,
                                    "scale": 2
                                },
                                "filename": "PANEL\\Chronicle\\RewardAnims\\PANEL_ChronicleReward_1x1",
                                "blendMode": "black",
                                "fps": 30,
                                "playing": false,
                                "loop": false,
                                "frame": 30
                            }
                        }
                    ]
                },
                {
                    "type": "ButtonWidget",
                    "name": "convert",
                    "fields": {
                        "rect": {
                            "x": 764,
                            "y": 779
                        },
                        "filename": "PANEL\\Horadric_Cube\\TransmuteButton",
                        "tooltipString": "@strUiMenu2",
                        "hoveredFrame": 2,
                        "onClickMessage": "BankPanelMessage:Convert"
                    }
                },
                {
                    "type": "ImageWidget",
                    "name": "horadriccube_cover",
                    "fields": {
                        "rect": {
                            "x": 432,
                            "y": 476 //786
                        },
                        "filename": "PANEL\\Stash\\AdditionalStash\\HoradricCubeCover"
                    }
                },
                {
                    "type": "ButtonWidget",
                    "name": "withdraw_button",
                    "fields": {
                        "rect": {
                            "x": 398,
                            "y": 1381
                        },
                        "filename": "FrontEnd\\HD\\Final\\FrontEnd_ButtonSmall",
                        "textString": "@AdvancedStashWithdraw",
                        "pointSize": "$MediumFontSize",
                        "textColor": "$LightButtonTextColor",
                        "tooltipString": "@AdvancedStashWithdrawTooltip",
                        "onClickMessage": "BankPanelMessage:WithdrawStash"
                    }
                }
            ]
        },
        // 큐브 자동으로 열기
        {
            "type": "TimerWidget",
            "name": "HoradricCubeLayout",
            "fields": {
                "time": 0.01,
                "message": "PanelManager:OpenPanel:HoradricCubeLayout"
            }
        }
    ]
}